/**
 * Media upload handler script.
 */

( function ( $ ) {

	$( document ).on( 'panelsopen', function ( e ) {

		var dialog = $( e.target );

		// Check that this is for our widget class
		if ( !dialog.has( '.roku-widget-upload' ) ) {
			return;
		}

		var roku_banner_widget;

		// Bind to our click event in order to open up the new media experience.
		$( '.roku-widget-upload' ).on( 'click', function ( e ) {

			// Prevent the default action from occuring.
			e.preventDefault();

			// If the frame already exists, re-open it.
			if ( roku_banner_widget ) {
				roku_banner_widget.open();
				return;
			}

			roku_banner_widget = wp.media.frames.roku_banner_widget = wp.media( {

				className: 'media-frame tjfc-media-frame',
				frame: 'select',
				multiple: false,
				title: roku_banner_widget_media.title,
				library: {
					type: 'image'
				},
				button: {
					text: roku_banner_widget_media.button
				}

			} );

			roku_banner_widget.on( 'select', function () {

				// Grab our attachment selection and construct a JSON representation of the model.
				var media_attachment = roku_banner_widget.state().get( 'selection' ).first().toJSON();

				// Send the attachment URL to our custom input field via jQuery.
				$( '.img-url' ).val( media_attachment.url );

			} );

			// Now that everything has been set, let's open up the frame.
			roku_banner_widget.open();

		} );

	} );

}( jQuery ) );
