/**
 * Media upload handler script.
 */

( function ( $ ) {

	$( document ).on( 'panelsopen', function ( e ) {

		var dialog = $( e.target );

		// Check that this is for our widget class
		if ( !dialog.has( '.roku-big-banner-upload' ) ) {
			return;
		}

		var roku_big_banner_media;

		// Bind to our click event in order to open up the new media experience.
		$( '.roku-big-banner-upload' ).on( 'click', function ( e ) {

			// Prevent the default action from occuring.
			e.preventDefault();

			// If the frame already exists, re-open it.
			if ( roku_big_banner_media ) {
				roku_big_banner_media.open();
				return;
			}

			roku_big_banner_media = wp.media.frames.roku_big_banner_media = wp.media( {

				className: 'media-frame tjfc-media-frame',
				frame: 'select',
				multiple: false,
				title: roku_big_banner_widget_media.title,
				library: {
					type: 'image'
				},
				button: {
					text: roku_big_banner_widget_media.button
				}

			} );

			roku_big_banner_media.on( 'select', function () {

				// Grab our attachment selection and construct a JSON representation of the model.
				var media_attachment = roku_big_banner_media.state().get( 'selection' ).first().toJSON();

				// Send the attachment URL to our custom input field via jQuery.
				$( '.big-banner-url' ).val( media_attachment.url );

			} );

			// Now that everything has been set, let's open up the frame.
			roku_big_banner_media.open();

		} );

	} );

}( jQuery ) );
