( function( $ ) {

	$( function() {

		// Responsive video
		$( '.entry, .widget' ).fitVids();

		// Scroll to fixed
		$( '#primary-navigation' ).scrollToFixed();

		// Mobile menu
		$( '#menu-top-items' ).slicknav( {
			label: "",
			prependTo: '#top-navigation',
			allowParentLinks: true
		} );

		// Mobile menu
		$( '#menu-primary-items' ).slicknav( {
			label: "",
			prependTo: '#primary-navigation',
			allowParentLinks: true
		} );

		/**
		 * Auto reposition drop-down menu
		 */
		$( '#menu-top-items li.menu-item-has-children' ).on( 'mouseenter mouseleave', function() {

			var elm = $( 'ul:first', this ),
				offset = elm.offset(),
				l = offset.left,
				w = elm.width(),
				docW = $( '.wide-container' ).width(),
				visible = ( l + w <= docW );

			if ( !visible ) {
				$( this ).addClass( 'edge' );
			} else {
				$( this ).removeClass( 'edge' );
			}

		} );

		// Image gallery
		$( '.gallery-format' ).owlCarousel( {
			navigation: true, // Show next and prev buttons
			navigationText: [ '<i class="fa fa-chevron-left"></i>', '<i class="fa fa-chevron-right"></i>' ],
			pagination: false,
			slideSpeed: 300,
			paginationSpeed: 400,
			singleItem: true
		} );

		// Popup product image
		$( '.popup-image' ).magnificPopup( {
			type: 'image'
		} );

		/**
		 * Product filters
		 */
		$( '.more-filters' ).on( 'click', function( e ) {
			e.preventDefault();
			$( this ).toggleClass( 'open' );
			$( '.shop-filters' ).slideToggle( 'fast' );
		} );

		/**
		 * Beautify select
		 */
		$( '.beautify-select' ).select2( {
			allowClear: false
		} );

		/**
		 * Italize second word on banner widget title
		 */
		$( '.banner-promotion .banner-title' ).each( function() {
			var word = $( this ).text().split( ' ' );

			if ( word.length < 2 ) {
				return;
			}
			word[ 1 ] = '<span>' + word[ 1 ] + '</span>';
			$( this ).html( word.join( ' ' ) );
		} );

		/**
		 * Product carousel
		 */
		$( '.product-carousel' ).owlCarousel( {
			navigation: true,
			navigationText: [ '<i class="fa fa-chevron-left"></i>', '<i class="fa fa-chevron-right"></i>' ],
			pagination: false,
			items: 4,
			itemsMobile: [ 480, 1 ]
		} );

		/**
		 * Back to top
		 */
		$( '.to-top' ).click( function( e ) {
			e.preventDefault();
			$( 'html, body' ).animate( {
				scrollTop: 0
			}, 800 );
		} );

	} );

}( jQuery ) );
