<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php hybrid_attr( 'body' ); ?>>

<div id="page" class="hfeed site">

	<div class="wide-container">

		<div class="top-bar">
			<div class="container">

				<div class="site-tagline">
					<?php echo esc_attr( get_bloginfo( 'description' ) ); ?>
				</div>

				<?php get_template_part( 'menu', 'top' ); // Loads the menu-top.php template. ?>

			</div><!-- .container -->
		</div><!-- .top-bar -->

		<header id="masthead" class="site-header" <?php hybrid_attr( 'header' ); ?>>
			<div class="container">

				<div class="site-branding">
					<?php roku_site_branding(); ?>
				</div>

				<?php get_template_part( 'searchform', 'product' ); // Loads the search-product.php template. ?>

				<?php if ( is_woocommerce_activated() ) { roku_header_cart(); } ?>

			</div><!-- .container -->
		</header><!-- #masthead -->

		<?php get_template_part( 'menu', 'primary' ); // Loads the menu-primary.php template. ?>

		<div id="content" class="site-content">

			<?php if ( !is_page_template( 'page-templates/block.php' ) ) : ?>
				<header class="page-header">
					<div class="container">
						<?php roku_page_header(); ?>
						<?php echo breadcrumb_trail( array( 'show_browse' => false ) ); ?>
					</div><!-- .container -->
				</header><!-- .page-header -->
			<?php endif; ?>

			<?php if ( !is_page_template( 'page-templates/block.php' ) ) : ?>
				<div class="container">
			<?php endif; ?>
