<?php get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" <?php hybrid_attr( 'content' ); ?>>

			<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

					<header class="entry-header">
						<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
					</header>

					<?php get_template_part( 'loop', 'nav' ); ?>

					<div class="attachment">
						<?php
							/**
							 * Filter the default Leda image attachment size.
							 */
							$image_size = apply_filters( 'leda_attachment_size', 'full' );

							echo wp_get_attachment_image( get_the_ID(), $image_size );
						?>

					</div><!-- .entry-attachment -->

					<div class="entry-content" <?php hybrid_attr( 'entry-content' ); ?>>
						<?php the_content(); ?>
					</div>

				</article><!-- #post-## -->

			<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
