<?php if ( is_singular( 'post' ) ) : // If viewing a single post page. ?>

	<div class="loop-nav">
		<?php previous_post_link( '<div class="prev">' . esc_html__( 'Previous %link', 'roku' ) . '</div>', '%title' ); ?>
		<?php next_post_link( '<div class="next">' . esc_html__( 'Next %link', 'roku' ) . '</div>', '%title' ); ?>
	</div><!-- .loop-nav -->

<?php elseif ( is_singular( 'product' ) ) : // If viewing a single product page. ?>

	<div class="product-nav">
		<?php previous_post_link( '<span class="prev">%link</span>', '<i class="fa fa-angle-left"></i>' ); ?>
		<?php next_post_link( '<span class="next">%link</span>', '<i class="fa fa-angle-right"></i>' ); ?>
	</div><!-- .product-nav -->

	<div class="clear"></div>

<?php elseif ( is_attachment() && wp_attachment_is_image() ) : // If viewing the attachment page. ?>

	<div class="loop-nav">
		<div class="prev"><?php previous_image_link( false, esc_html__( '&laquo; Previous Image', 'roku' ) ); ?></div>
		<div class="next"><?php next_image_link( false, esc_html__( 'Next Image &raquo;', 'roku' ) ); ?></div>
	</div><!-- .loop-nav -->

<?php elseif ( is_home() || is_archive() || is_search() ) : // If viewing the blog, an archive, or search results. ?>

	<?php the_posts_pagination(); ?>

<?php endif; // End check for type of page being viewed. ?>
